Bug 248478 - multimedia/libmatroska: Update to 1.6.2
Summary: multimedia/libmatroska: Update to 1.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://github.com/Matroska-Org/libma...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-04 23:43 UTC by daniel.engberg.lists
Modified: 2020-08-16 09:12 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch for libmatroska (1.38 KB, patch)
2020-08-04 23:43 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for libmatroska v2 (1.38 KB, patch)
2020-08-05 07:34 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-08-04 23:43:27 UTC
Created attachment 217015 [details]
Patch for libmatroska

Update libmatroska to 1.6.2
Remove obsolete mirror site (which also redirects to https://mkvtoolnix.download/sources/)
Remove USES= pathfix pkgconfig
Remove GNU_CONFIGURE variable

Compile test on FreeBSD 13.0-CURRENT r361421 (amd64)
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 1 daniel.engberg.lists 2020-08-05 07:34:59 UTC
Created attachment 217020 [details]
Patch for libmatroska v2

MASTER_SITE redirects to HTTPS
Comment 2 Tobias C. Berner freebsd_committer 2020-08-16 09:12:04 UTC
Committed. Thanks.
Comment 3 commit-hook freebsd_committer 2020-08-16 09:12:22 UTC
A commit references this bug:

Author: tcberner
Date: Sun Aug 16 09:11:48 UTC 2020
New revision: 545090
URL: https://svnweb.freebsd.org/changeset/ports/545090

Log:
  multimedia/libmatroska: Update to 1.6.2

  - fix master sites
  - cleanup Makefile

  PR:		248478
  Submitted by:	daniel.engberg.lists@pyret.net

Changes:
  head/multimedia/libmatroska/Makefile
  head/multimedia/libmatroska/distinfo